/*
 * funcs.hpp
 *
 *  Created on: 2010.04.16.
 *      Author: Szabó László
 */

#include "SDL/SDL.h"
#include "SDL/SDL_image.h"
#include <string>


#ifndef FUNCS_HPP_
#define FUNCS_HPP_

SDL_Surface* load( std::string filename );
void apply( int x, int y, SDL_Surface* src, SDL_Surface* dest, SDL_Rect* clip = NULL );

bool collision( SDL_Rect A, SDL_Rect B );

#endif /* FUNCS_HPP_ */
